Fibonacci(3)

NAME
Heap::Fibonacci - a Perl extension for keeping data partially sorted

SYNOPSIS
  use Heap::Fibonacci;

  $heap = Heap::Fibonacci->new;
  # see Heap(3) for usage

DESCRIPTION
Keeps elements in heap order using a linked list of Fibonacci trees. The heap method of an element is used to store a reference to the node in the list that refers to the element.

See Heap for details on using this module.

AUTHOR
John Macdonald, jmm@elegant.com

COPYRIGHT
Copyright 1998, O'Reilly & Associates.

This code is distributed under the sme copyright as perl itself.

SEE ALSO
Heap(3), Heap::Elem(3).